<?php

namespace FiloBlu\ThresholdTaxes\Model;

use Magento\Tax\Api\Data\TaxRateInterface as TaxRate;

/**
 *
 */
class TaxRateCollection extends \Magento\Tax\Model\TaxRateCollection {

    /**
     * Creates a collection item that represents a tax rate for the tax rates grid.
     *
     * @param TaxRate $taxRate Input data for creating the item.
     * @return \Magento\Framework\DataObject Collection item that represents a tax rate
     */
    protected function createTaxRateCollectionItem(TaxRate $taxRate)
    {
        $collectionItem =  parent::createTaxRateCollectionItem($taxRate);

        $collectionItem->setFromTotal($taxRate->getFromTotal()?? 0);
        $collectionItem->setToTotal($taxRate->getToTotal() ?? 99999999999999);

        return $collectionItem;
    }
}
